<?php
namespace wcf\system\event\listener;
use wcf\system\event\listener\IParameterizedEventListener;

/**
 * Adds 'invites' sort field for members list.
 * 
 * @author		Udo Zaydowicz
 * @copyright	2016-2022 Zaydowicz.de
 * @license		Zaydowicz Commercial Licence <https://zaydowicz.de>
 * @package		com.uz.wcf.invitation
 */
class InviteMembersListPageListener implements IParameterizedEventListener {
	/**
	 * @inheritDoc
	 */
	public function execute($eventObj, $className, $eventName, array &$parameters) {
		$eventObj->validSortFields[] = 'invites';
		$eventObj->validSortFields[] = 'inviteSuccess';
	}
}
