<?php
namespace wcf\system\stat;

/**
 * Stat handler implementation for invitation success.
 * 
 * @author		Udo Zaydowicz
 * @copyright	2016-2022 Zaydowicz.de
 * @license		Zaydowicz Commercial License <https://zaydowicz.de>
 * @package		com.uz.wcf.invitation
 */
class InviteSuccessStatDailyHandler extends AbstractStatDailyHandler {
	/**
	 * @inheritDoc
	 */
	public function getData($date) {
		return [
				'counter' => $this->getCounter($date, 'wcf'.WCF_N.'_user_invite_success', 'time'),
				'total' => $this->getTotal($date, 'wcf'.WCF_N.'_user_invite_success', 'time')
		];
	}
}
